Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.addressbook.core.v1
Class IndividualContactInformationType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.IndividualType
          be.fgov.ehealth.addressbook.core.v1.IndividualContactInformationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class IndividualContactInformationType

extends IndividualType
implements Serializable

Healthcare professional contact information

Java class for IndividualContactInformationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndividualContactInformationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}IndividualType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Address" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}HealthCareAdditionalInformation" maxOccurs="unbounded" minOccurs="0"/>
             <element name="ProfessionalInformation" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionalAddressbookType">
                     <sequence>
                       <element name="EHealthBox" type="{urn:be:fgov:ehealth:addressbook:core:v1}EHealthBoxType" minOccurs="0"/>
                     </sequence>
                   </extension>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`IndividualContactInformationType()`

Method Summary
`List<Address>` | `getAddresses()` Gets the value of the addresses property.
`List<HealthCareAdditionalInformation>` | `getHealthCareAdditionalInformations()` Gets the value of the healthCareAdditionalInformations property.
`List<ProfessionalInformation>` | `getProfessionalInformations()` Gets the value of the professionalInformations property.

Methods inherited from class be.fgov.ehealth.aa.complextype.v1.IndividualType
`getBirthDate, getDeathDate, getFirstName, getGender, getLanguage, getLastName, getMiddleNames, getSSIN, setBirthDate, setDeathDate, setFirstName, setGender, setLanguage, setLastName, setMiddleNames, setSSIN`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndividualContactInformationType

    public IndividualContactInformationType()

Method Detail

### getAddresses

    public List<Address> getAddresses()

  Gets the value of the addresses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the addresses property.

  For example, to add a new item, do as follows:

          getAddresses().add(newItem);

  Objects of the following type(s) are allowed in the list `Address`

### getHealthCareAdditionalInformations

    public List<HealthCareAdditionalInformation> getHealthCareAdditionalInformations()

  Gets the value of the healthCareAdditionalInformations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the healthCareAdditionalInformations property.

  For example, to add a new item, do as follows:

          getHealthCareAdditionalInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `HealthCareAdditionalInformation`

### getProfessionalInformations

    public List<ProfessionalInformation> getProfessionalInformations()

  Gets the value of the professionalInformations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionalInformations property.

  For example, to add a new item, do as follows:

          getProfessionalInformations().add(newItem);

  Objects of the following type(s) are allowed in the list `ProfessionalInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.